package mcmas.core;

import org.jocl.CL;

public enum MCMProfilingInfo {
	COMMAND_SUBMIT(CL.CL_PROFILING_COMMAND_SUBMIT),
	COMMAND_QUEUED(CL.CL_PROFILING_COMMAND_QUEUED),
	COMMAND_START(CL.CL_PROFILING_COMMAND_START),
	COMMAND_END(CL.CL_PROFILING_COMMAND_END);
	
	public final int value;
	
	private MCMProfilingInfo(int value) {
		this.value = value;
	}

}
